<h1 mat-dialog-title>Session Expiration Warning!</h1>
<mat-divider></mat-divider>
<div mat-dialog-content>
  <p>Your session will expire in <b><countdown [config]="{leftTime: waitingTime, template: '$!m!:$!s!'}"> </countdown></b> seconds</p>
  <p>Click <span style="font-weight: bold">"Continue"</span> to keep working, or <span style="font-weight: bold">"Log
      Out"</span> if you are finished.</p>
  <!-- <mat-progress-bar mode="determinate" [value]="progressbarValue"></mat-progress-bar> -->
</div>
<mat-divider></mat-divider>
<div mat-dialog-actions>
  <span class="idle-button" style="width: 300px;" fxFlex="wrap" fxLayoutGap="10px" fxLayoutAlign="end">
    <button type="button" mat-raised-button color="primary" (click)="onContinueClick()">Continue</button>
    <button type="button" mat-raised-button color="primary" (click)="onLogoutClick()">Logout</button>
  </span>

</div>
